<%@ page contentType="text/html;charset=GBK" %>
<%@ include file="../checkLogin.jsp" %>
<%@ page import="gbase.db.*,java.util.*,gbase.util.*,java.text.*"%>
<%
	
	String message="操作失败";
	String action = request.getParameter("action")==null?"":request.getParameter("action");
	ConvertSql theConvertSql=new ConvertSql();
	
	String id = request.getParameter("id") == null ? "" :request.getParameter("id");
        String list_start_str=request.getParameter("list_start_str") == null ? "" :request.getParameter("list_start_str");
        list_start_str=theConvertSql.convertSqlValue(list_start_str);
        String list_end_str=request.getParameter("list_end_str") == null ? "" :request.getParameter("list_end_str");   
        list_end_str=theConvertSql.convertSqlValue(list_end_str);
        String href_start_str=request.getParameter("href_start_str") == null ? "" :request.getParameter("href_start_str"); 
        href_start_str=theConvertSql.convertSqlValue(href_start_str); 
        String href_end_str=request.getParameter("href_end_str") == null ? "" :request.getParameter("href_end_str");  
        href_end_str=theConvertSql.convertSqlValue(href_end_str);   
        String hreftype=request.getParameter("hreftype") == null ? "0" :request.getParameter("hreftype");    
        String rehrefurlstr=request.getParameter("rehrefurlstr") == null ? "" :request.getParameter("rehrefurlstr");
        String listpagetype=request.getParameter("listpagetype") == null ? "0" :request.getParameter("listpagetype");    
        String listpage_start_str=request.getParameter("listpage_start_str") == null ? "" :request.getParameter("listpage_start_str");    
        listpage_start_str=theConvertSql.convertSqlValue(listpage_start_str);    
        String listpage_end_str=request.getParameter("listpage_end_str") == null ? "" :request.getParameter("listpage_end_str");    
        listpage_end_str=theConvertSql.convertSqlValue(listpage_end_str);    
        String listpage_param_url=request.getParameter("listpage_param_url") == null ? "" :request.getParameter("listpage_param_url");    
        String listpage_start_id=request.getParameter("listpage_start_id") == null ? "0" :request.getParameter("listpage_start_id");    
        String listpage_end_id=request.getParameter("listpage_end_id") == null ? "0" :request.getParameter("listpage_end_id");    
        String listpage_url=request.getParameter("listpage_url") == null ? "" :request.getParameter("listpage_url"); 
        
        String url="web_collection_content3.jsp?id="+id+"&action="+action;
           
	SimpleDateFormat timeformat = new SimpleDateFormat("yyyy-MM-dd");
        java.util.Date date = Calendar.getInstance().getTime();
        String create_date = timeformat.format(date).toString();
        
        String sql="";
        DBOperation theDBOperation = new DBOperation();
        sql="update web_collection set list_start_str='"+list_start_str+"',list_end_str='"+list_end_str+"',href_start_str='"+href_start_str+"',href_end_str='"+href_end_str+"',hreftype="+hreftype+",rehrefurlstr='"+rehrefurlstr+"',listpagetype="+listpagetype+",listpage_start_str='"+listpage_start_str+"',listpage_end_str='"+listpage_end_str+"',listpage_param_url='"+listpage_param_url+"',listpage_start_id="+listpage_start_id+",listpage_end_id="+listpage_end_id+",listpage_url='"+listpage_url+"' where id="+id+"";
	//out.println(sql);
	
        try {
        int i=theDBOperation.executeSql(sql);
        if(i>0)
          {
          message = "操作成功!";
          }
        else
          message = "操作失败!";
      }
      catch (Exception ex) {
        message = "操作失败!";
      }
	
%>
<script language="javascript">
	function process ( message,url){
		//alert(message);
		self.location = url;
	}
</script>
<html>
	<head>
		<title></title>
	</head>
	<body onload="javascript: process('<%=message%>','<%=url%>');">
	</body>
</html>